diff --git a/ldap/servers/slapd/back-ldbm/dblayer.c b/ldap/servers/slapd/back-ldbm/dblayer.c
index 33287d4..dafd093 100644
--- a/ldap/servers/slapd/back-ldbm/dblayer.c
+++ b/ldap/servers/slapd/back-ldbm/dblayer.c
@@ -2121,7 +2121,7 @@ int dblayer_instance_start(backend *be, int mode)
                 (priv->dblayer_page_size == 0) ? DBLAYER_PAGESIZE :
                 priv->dblayer_page_size);
             if (0 != return_value) {
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                       "dbp->set_pagesize(%lu or %lu) failed %d\n",
                       priv->dblayer_page_size, DBLAYER_PAGESIZE,
                       return_value);
@@ -2143,7 +2143,7 @@ int dblayer_instance_start(backend *be, int mode)
                 dbp, NULL/* txnid */, id2entry_file, subname, DB_BTREE,
                 open_flags, priv->dblayer_file_mode, return_value);
         if (0 != return_value) {
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                       "dbp->open(\"%s\") failed: %s (%d)\n",
                       id2entry_file, dblayer_strerror(return_value),
                       return_value);
@@ -2153,7 +2153,7 @@ int dblayer_instance_start(backend *be, int mode)
             if (strstr(dblayer_strerror(return_value),
                        "No such file or directory"))
             {
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                       "Instance %s is not registered as a db data directory. "
                       "Please restart the server to create it.\n",
                       inst?inst->inst_name:"unknown", pEnv, 0);
@@ -2161,7 +2161,7 @@ int dblayer_instance_start(backend *be, int mode)
             else if (strstr(dblayer_strerror(return_value),
                             "Permission denied"))
             {
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                           "Instance directory %s may not be writable\n",
                           inst_dirp, 0, 0);
             }
@@ -2200,14 +2200,14 @@ out:
      * being imported or is in normal mode
      */
     if (inst->inst_nextid > MAXID && !(mode & DBLAYER_EXPORT_MODE)) {
-        LDAPDebug(LDAP_DEBUG_ANY, "dblayer_instance_start fail: backend '%s' "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "dblayer_instance_start fail: backend '%s' "
             "has no IDs left. DATABASE MUST BE REBUILT.\n",
             be->be_name, 0, 0);
         return 1;
     }
 
     if (return_value != 0) {
-        LDAPDebug(LDAP_DEBUG_ANY, "dblayer_instance_start fail: %s (%d)\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "dblayer_instance_start fail: %s (%d)\n",
             dblayer_strerror(return_value), return_value, 0);   
     }
 errout:
@@ -2299,7 +2299,7 @@ dblayer_get_aux_id2entry_ext(backend *be, DB **ppDB, DB_ENV **ppEnv,
     inst = (ldbm_instance *) be->be_instance_info;
     if (NULL == inst)
     {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
             "No instance/env: persistent id2entry is not available\n", 0, 0, 0);
         goto done;
     }
@@ -2307,7 +2307,7 @@ dblayer_get_aux_id2entry_ext(backend *be, DB **ppDB, DB_ENV **ppEnv,
     li = inst->inst_li;
     if (NULL == li)
     {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
             "No ldbm info: persistent id2entry is not available\n", 0, 0, 0);
         goto done;
     }
@@ -2315,7 +2315,7 @@ dblayer_get_aux_id2entry_ext(backend *be, DB **ppDB, DB_ENV **ppEnv,
     opriv = li->li_dblayer_private;
     if (NULL == opriv)
     {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
             "No dblayer info: persistent id2entry is not available\n", 0, 0, 0);
         goto done;
     }
@@ -2330,7 +2330,7 @@ dblayer_get_aux_id2entry_ext(backend *be, DB **ppDB, DB_ENV **ppEnv,
     }
     else
     {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
           "Instance dir is NULL: persistent id2entry is not available\n",
           0, 0, 0);
         goto done;
@@ -2340,7 +2340,7 @@ dblayer_get_aux_id2entry_ext(backend *be, DB **ppDB, DB_ENV **ppEnv,
     prst = PR_GetFileInfo64(inst_dirp, &prfinfo);
     if (PR_FAILURE == prst || PR_FILE_DIRECTORY != prfinfo.type)
     {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
             "No inst dir: persistent id2entry is not available\n", 0, 0, 0);
         goto done;
     }
@@ -2400,7 +2400,7 @@ dblayer_get_aux_id2entry_ext(backend *be, DB **ppDB, DB_ENV **ppEnv,
     rval = dbp->set_pagesize(dbp, (priv->dblayer_page_size == 0) ?
                         DBLAYER_PAGESIZE : priv->dblayer_page_size);
     if (rval) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "dbp->set_pagesize(%lu or %lu) failed %d\n",
                   priv->dblayer_page_size, DBLAYER_PAGESIZE, rval);
         goto err;
@@ -2419,7 +2419,7 @@ dblayer_get_aux_id2entry_ext(backend *be, DB **ppDB, DB_ENV **ppEnv,
     DB_OPEN(envflags, dbp, NULL/* txnid */, id2entry_file, subname, DB_BTREE,
             dbflags, priv->dblayer_file_mode, rval);
     if (rval) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "dbp->open(\"%s\") failed: %s (%d)\n",
                   id2entry_file, dblayer_strerror(rval), rval);
         if (strstr(dblayer_strerror(rval), "Permission denied")) {
@@ -2471,7 +2471,7 @@ int dblayer_release_aux_id2entry(backend *be, DB *pDB, DB_ENV *pEnv)
     inst = (ldbm_instance *) be->be_instance_info;
     if (NULL == inst)
     {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
             "No instance/env: persistent id2entry is not available\n", 0, 0, 0);
         goto done;
     }
@@ -2553,7 +2553,7 @@ int dblayer_instance_close(backend *be)
     }
 
     if (attrcrypt_cleanup_private(inst)) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "Error: failed to clean up attrcrypt system for %s\n",
                   inst->inst_name, 0, 0);
     }
@@ -2620,7 +2620,7 @@ void dblayer_pre_close(struct ldbminfo *li)
         PRIntervalTime cvwaittime = PR_MillisecondsToInterval(DBLAYER_SLEEP_INTERVAL * 100);
         int timedout = 0;
         /* Print handy-dandy log message */
-        LDAPDebug(LDAP_DEBUG_ANY,"Waiting for %d database threads to stop\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"Waiting for %d database threads to stop\n",
                   threadcount, 0,0);
         PR_Lock(priv->thread_count_lock);
         /* Tell them to stop - we wait until the last possible moment to invoke
@@ -2653,14 +2653,14 @@ void dblayer_pre_close(struct ldbminfo *li)
         }
         PR_Unlock(priv->thread_count_lock); 
         if (timedout) {
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                       "Timeout after [%d] milliseconds; leave %d database thread(s)...\n",
                       (DBLAYER_SLEEP_INTERVAL * 100), threadcount,0);
             priv->dblayer_bad_stuff_happened = 1;
             goto timeout_escape;
         }
     }
-    LDAPDebug(LDAP_DEBUG_ANY,"All database threads now stopped\n",0,0,0);
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"All database threads now stopped\n",0,0,0);
 timeout_escape:
     return;
 }
@@ -2932,7 +2932,7 @@ dblayer_open_file(backend *be, char* indexname, int open_flag,
             !is_fullpath(inst->inst_dir_name))
 
         {
-            LDAPDebug(LDAP_DEBUG_ANY, 
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
                 "The instance path %s is not registered for db_data_dir, "
                 "although %s is a relative path.\n",
                 inst->inst_parent_dir_name, inst->inst_dir_name, 0);
@@ -3188,7 +3188,7 @@ dblayer_db_remove_ex(dblayer_private_env *env, char const path[], char const dbN
   
   rc = db_create(&db, db_env, 0); /* must use new handle to database */
   if (0 != rc) {
-    LDAPDebug(LDAP_DEBUG_ANY, "db_remove: Failed to create db (%d) %s\n",
+    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "db_remove: Failed to create db (%d) %s\n",
                   rc, dblayer_strerror(rc), 0);
     goto done;
   }
@@ -3415,7 +3415,7 @@ dblayer_txn_begin_ext(struct ldbminfo *li, back_txnid parent_txn, back_txn *txn,
                 int txn_id = new_txn.back_txn_txn->id(new_txn.back_txn_txn);
                 PR_Lock(sync_txn_log_flush);
                 txn_in_progress_count++;
-                LDAPDebug(LDAP_DEBUG_BACKLDBM, "txn_begin: batchcount: %d, txn_in_progress: %d, curr_txn: %x\n", trans_batch_count, txn_in_progress_count, txn_id);
+                LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG, "txn_begin: batchcount: %d, txn_in_progress: %d, curr_txn: %x\n", trans_batch_count, txn_in_progress_count, txn_id);
                 PR_Unlock(sync_txn_log_flush);
             }
             dblayer_push_pvt_txn(&new_txn);
@@ -3429,7 +3429,7 @@ dblayer_txn_begin_ext(struct ldbminfo *li, back_txnid parent_txn, back_txn *txn,
     }
     if (0 != return_value) 
     {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "Serious Error---Failed in dblayer_txn_begin, err=%d (%s)\n",
                   return_value, dblayer_strerror(return_value), 0);
     }
@@ -3515,7 +3515,7 @@ int dblayer_txn_commit_ext(struct ldbminfo *li, back_txn *txn, PRBool use_lock)
                 PR_Lock(sync_txn_log_flush);
                 txn_batch_slot = trans_batch_count++;
                 txn_log_flush_pending[txn_batch_slot] = txn_id;
-                LDAPDebug(LDAP_DEBUG_BACKLDBM, "txn_commit (before notify): batchcount: %d, "
+                LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG, "txn_commit (before notify): batchcount: %d, "
                         "txn_in_progress: %d, curr_txn: %x\n", trans_batch_count,
                         txn_in_progress_count, txn_id);
                 /*
@@ -3538,7 +3538,7 @@ int dblayer_txn_commit_ext(struct ldbminfo *li, back_txn *txn, PRBool use_lock)
                     PR_WaitCondVar(sync_txn_log_flush_done, PR_INTERVAL_NO_TIMEOUT);
                 }
                 txn_in_progress_count--;
-                LDAPDebug(LDAP_DEBUG_BACKLDBM, "txn_commit (before unlock): batchcount: %d, "
+                LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG, "txn_commit (before unlock): batchcount: %d, "
                         "txn_in_progress: %d, curr_txn %x\n", trans_batch_count,
                         txn_in_progress_count, txn_id);
                 PR_Unlock(sync_txn_log_flush);
@@ -3554,7 +3554,7 @@ int dblayer_txn_commit_ext(struct ldbminfo *li, back_txn *txn, PRBool use_lock)
 
     if (0 != return_value) 
     {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "Serious Error---Failed in dblayer_txn_commit, err=%d (%s)\n",
                   return_value, dblayer_strerror(return_value), 0);
         if (LDBM_OS_ERR_IS_DISKFULL(return_value)) {
@@ -3622,7 +3622,7 @@ int dblayer_txn_abort_ext(struct ldbminfo *li, back_txn *txn, PRBool use_lock)
             PR_Lock(sync_txn_log_flush);
             txn_in_progress_count--;
             PR_Unlock(sync_txn_log_flush);
-            LDAPDebug(LDAP_DEBUG_BACKLDBM, "txn_abort : batchcount: %d, txn_in_progress: %d, curr_txn: %x\n", trans_batch_count, txn_in_progress_count, txn_id);
+            LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG, "txn_abort : batchcount: %d, txn_in_progress: %d, curr_txn: %x\n", trans_batch_count, txn_in_progress_count, txn_id);
         }
         return_value = TXN_ABORT(db_txn);
         /* if we were given a transaction, and it is the same as the
@@ -3644,7 +3644,7 @@ int dblayer_txn_abort_ext(struct ldbminfo *li, back_txn *txn, PRBool use_lock)
 
     if (0 != return_value) 
     {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "Serious Error---Failed in dblayer_txn_abort, err=%d (%s)\n",
                   return_value, dblayer_strerror(return_value), 0);
         if (LDBM_OS_ERR_IS_DISKFULL(return_value)) {
@@ -3774,7 +3774,7 @@ dblayer_start_perf_thread(struct ldbminfo *li)
                                  SLAPD_DEFAULT_THREAD_STACKSIZE) )
     {
         PRErrorCode prerr = PR_GetError();
-        LDAPDebug(LDAP_DEBUG_ANY, "failed to create database perf thread, "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "failed to create database perf thread, "
                   SLAPI_COMPONENT_NAME_NSPR " error %d (%s)\n",
                   prerr, slapd_pr_strerror(prerr), 0);
         return_value = -1;
@@ -3802,7 +3802,7 @@ static int perf_threadmain(void *param)
     }
 
     DECR_THREAD_COUNT(priv);
-    LDAPDebug(LDAP_DEBUG_TRACE, "Leaving perf_threadmain\n", 0, 0, 0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "Leaving perf_threadmain\n", 0, 0, 0);
     return 0;
 }
 
@@ -3820,7 +3820,7 @@ dblayer_start_deadlock_thread(struct ldbminfo *li)
                                  SLAPD_DEFAULT_THREAD_STACKSIZE) )
     {
         PRErrorCode prerr = PR_GetError();
-        LDAPDebug(LDAP_DEBUG_ANY, "failed to create database deadlock thread, "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "failed to create database deadlock thread, "
                   SLAPI_COMPONENT_NAME_NSPR " error %d (%s)\n",
                   prerr, slapd_pr_strerror(prerr), 0);
         return_value = -1;
@@ -4251,7 +4251,7 @@ dblayer_start_txn_test_thread(struct ldbminfo *li)
                                  SLAPD_DEFAULT_THREAD_STACKSIZE) )
     {
         PRErrorCode prerr = PR_GetError();
-        LDAPDebug(LDAP_DEBUG_ANY, "failed to create txn test thread, "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "failed to create txn test thread, "
                   SLAPI_COMPONENT_NAME_NSPR " error %d (%s)\n",
                   prerr, slapd_pr_strerror(prerr), 0);
         return_value = -1;
@@ -4289,7 +4289,7 @@ static int deadlock_threadmain(void *param)
                 int rejected = 0;
 
                 if ((rval = LOCK_DETECT(db_env, flags, deadlock_policy, &rejected)) != 0) {
-                    LDAPDebug(LDAP_DEBUG_ANY,
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                               "Serious Error---Failed in deadlock detect (aborted at 0x%x), err=%d (%s)\n",
                               rejected, rval, dblayer_strerror(rval));
                 } else if (rejected) {
@@ -4302,12 +4302,12 @@ static int deadlock_threadmain(void *param)
     }
 
     DECR_THREAD_COUNT(priv);
-    LDAPDebug(LDAP_DEBUG_TRACE, "Leaving deadlock_threadmain\n", 0, 0, 0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "Leaving deadlock_threadmain\n", 0, 0, 0);
     return 0;
 }
 
 #define checkpoint_debug_message(debug, fmt, a1, a2, a3) \
-    if (debug) { LDAPDebug(LDAP_DEBUG_ANY,fmt,a1,a2,a3); }
+    if (debug) { LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,fmt,a1,a2,a3); }
 
 /* this thread tries to do two things: 
     1. catch a group of transactions that are pending allowing a worker thread 
@@ -4336,7 +4336,7 @@ dblayer_start_log_flush_thread(dblayer_private *priv)
                                      PR_UNJOINABLE_THREAD, 
                                      SLAPD_DEFAULT_THREAD_STACKSIZE) ) {
             PRErrorCode prerr = PR_GetError();
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                 "failed to create database log flush thread, "
                 SLAPI_COMPONENT_NAME_NSPR " error %d (%s)\n",
                 prerr, slapd_pr_strerror(prerr), 0);
@@ -4381,7 +4381,7 @@ static int log_flush_threadmain(void *param)
                     PR_Unlock(sync_txn_log_flush);
                     break;
                 }
-                LDAPDebug(LDAP_DEBUG_BACKLDBM, "log_flush_threadmain (in loop): batchcount: %d, "
+                LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG, "log_flush_threadmain (in loop): batchcount: %d, "
                         "txn_in_progress: %d\n", trans_batch_count, txn_in_progress_count, 0);
                 /*
                  * if here, do flush the txn logs if any of the following conditions are met
@@ -4390,7 +4390,7 @@ static int log_flush_threadmain(void *param)
                  * - do_flush indicate that the max waiting interval is exceeded
                  */
                 if(trans_batch_count >= trans_batch_limit || trans_batch_count >= txn_in_progress_count || do_flush) {
-                    LDAPDebug(LDAP_DEBUG_BACKLDBM, "log_flush_threadmain (working): batchcount: %d, "
+                    LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG, "log_flush_threadmain (working): batchcount: %d, "
                             "txn_in_progress: %d\n", trans_batch_count, txn_in_progress_count, 0);
                     LOG_FLUSH(priv->dblayer_env->dblayer_DB_ENV,0);
                     for (i=0;i<trans_batch_count;i++){
@@ -4399,7 +4399,7 @@ static int log_flush_threadmain(void *param)
                     trans_batch_count = 0;
                     last_flush = PR_IntervalNow();
                     do_flush = 0;
-                    LDAPDebug(LDAP_DEBUG_BACKLDBM, "log_flush_threadmain (before notify): batchcount: %d, "
+                    LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG, "log_flush_threadmain (before notify): batchcount: %d, "
                             "txn_in_progress: %d\n", trans_batch_count, txn_in_progress_count, 0);
                     PR_NotifyAllCondVar(sync_txn_log_flush_done);
                 }
@@ -4415,7 +4415,7 @@ static int log_flush_threadmain(void *param)
                     PR_WaitCondVar(sync_txn_log_do_flush, interval_wait);
                 }
                 PR_Unlock(sync_txn_log_flush);
-                LDAPDebug(LDAP_DEBUG_BACKLDBM, "log_flush_threadmain (wakeup): batchcount: %d, "
+                LDAPDebug(LDAP_DEBUG_BACKLDBM, LOG_DEBUG, "log_flush_threadmain (wakeup): batchcount: %d, "
                           "txn_in_progress: %d\n", trans_batch_count, txn_in_progress_count, 0);
             } else {
                 DS_Sleep(interval_def);
@@ -4426,7 +4426,7 @@ static int log_flush_threadmain(void *param)
     }
 
     DECR_THREAD_COUNT(priv);
-    LDAPDebug(LDAP_DEBUG_TRACE, "Leaving log_flush_threadmain\n", 0, 0, 0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "Leaving log_flush_threadmain\n", 0, 0, 0);
     return 0;
 }
 
@@ -4444,7 +4444,7 @@ dblayer_start_checkpoint_thread(struct ldbminfo *li)
                                  SLAPD_DEFAULT_THREAD_STACKSIZE) )
     {
         PRErrorCode prerr = PR_GetError();
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                   "failed to create database checkpoint thread, "
                   SLAPI_COMPONENT_NAME_NSPR " error %d (%s)\n",
                   prerr, slapd_pr_strerror(prerr), 0);
@@ -4488,7 +4488,7 @@ static int checkpoint_threadmain(void *param)
     home_dir = dblayer_get_home_dir(li, NULL);
     if (NULL == home_dir || '\0' == *home_dir)
     {
-        LDAPDebug(LDAP_DEBUG_ANY, 
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, 
             "Checkpoint thread failed due to missing db home directory info\n",
             0, 0, 0);
         goto error_return;
@@ -4541,7 +4541,7 @@ static int checkpoint_threadmain(void *param)
                                      "Checkpoint Done\n", 0, 0, 0);
             if (rval != 0) {
                 /* bad error */
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                     "Serious Error---Failed to checkpoint database, "
                     "err=%d (%s)\n", rval, dblayer_strerror(rval), 0);
                 if (LDBM_OS_ERR_IS_DISKFULL(rval)) {
@@ -4569,7 +4569,7 @@ static int checkpoint_threadmain(void *param)
                                      "Checkpoint Done\n", 0, 0, 0);
             if (rval != 0) {
                 /* bad error */
-                LDAPDebug(LDAP_DEBUG_ANY,
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                     "Serious Error---Failed to checkpoint database, "
                     "err=%d (%s)\n", rval, dblayer_strerror(rval), 0);
                 if (LDBM_OS_ERR_IS_DISKFULL(rval)) {
@@ -4612,11 +4612,11 @@ static int checkpoint_threadmain(void *param)
                 rc = db->compact(db, txn.back_txn_txn, NULL/*start*/, NULL/*stop*/, 
                                  &c_data, DB_FREE_SPACE, NULL/*end*/);
                 if (rc) {
-                    LDAPDebug(LDAP_DEBUG_ANY,
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
                               "compactdb: failed to compact %s; db error - %d %s\n",
                               inst->inst_name, rc, db_strerror(rc));
                     if((rc = dblayer_txn_abort(inst->inst_be, &txn))){
-                        LDAPDebug(LDAP_DEBUG_ANY, "compactdb: failed to abort txn (%s) db error - %d %s\n",
+                        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "compactdb: failed to abort txn (%s) db error - %d %s\n",
                                   inst->inst_name, rc, db_strerror(rc));
                         break;
                     }
@@ -4625,7 +4625,7 @@ static int checkpoint_threadmain(void *param)
                                    "compactdb: compact %s - %d pages freed\n",
                                    inst->inst_name, c_data.compact_pages_free);
                     if((rc = dblayer_txn_commit(inst->inst_be, &txn))){
-                        LDAPDebug(LDAP_DEBUG_ANY, "compactdb: failed to commit txn (%s) db error - %d %s\n",
+                        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "compactdb: failed to commit txn (%s) db error - %d %s\n",
                                   inst->inst_name, rc, db_strerror(rc));
                         break;
                     }
@@ -4656,7 +4656,7 @@ static int checkpoint_threadmain(void *param)
                     checkpoint_debug_message(debug_checkpointing,
                                 "Renaming %s -> %s\n",*listp, new_filename, 0);
                     if(rename(*listp, new_filename) != 0){
-                        LDAPDebug(LDAP_DEBUG_ANY, "checkpoint_threadmain: failed to rename log (%s) to (%s)\n",
+                        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "checkpoint_threadmain: failed to rename log (%s) to (%s)\n",
                                 *listp, new_filename, 0);
                         rval = -1;
                         goto error_return;
@@ -4696,7 +4696,7 @@ dblayer_start_trickle_thread(struct ldbminfo *li)
                                  SLAPD_DEFAULT_THREAD_STACKSIZE) )
     {
         PRErrorCode prerr = PR_GetError();
-        LDAPDebug(LDAP_DEBUG_ANY, "failed to create database trickle thread, "
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "failed to create database trickle thread, "
                   SLAPI_COMPONENT_NAME_NSPR " error %d (%s)\n",
                   prerr, slapd_pr_strerror(prerr), 0);
         return_value = -1;
@@ -4735,7 +4735,7 @@ static int trickle_threadmain(void *param)
                                          priv->dblayer_trickle_percentage,
                                          &pages_written)) != 0)
                 {
-                    LDAPDebug(LDAP_DEBUG_ANY,"Serious Error---Failed to trickle, err=%d (%s)\n",rval,dblayer_strerror(rval), 0);
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"Serious Error---Failed to trickle, err=%d (%s)\n",rval,dblayer_strerror(rval), 0);
                 }
                 if (pages_written > 0) 
                 {
@@ -4746,7 +4746,7 @@ static int trickle_threadmain(void *param)
     }
 
     DECR_THREAD_COUNT(priv);
-    LDAPDebug(LDAP_DEBUG_TRACE, "Leaving trickle_threadmain priv\n", 0, 0, 0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "Leaving trickle_threadmain priv\n", 0, 0, 0);
     return 0;
 }
 
@@ -4986,7 +4986,7 @@ static int commit_good_database(dblayer_private *priv)
         priv->dblayer_file_mode );
     if (NULL == prfd)
     {
-        LDAPDebug( LDAP_DEBUG_ANY,"Fatal Error---Failed to write guardian file %s, database corruption possible" SLAPI_COMPONENT_NAME_NSPR " %d (%s)\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"Fatal Error---Failed to write guardian file %s, database corruption possible" SLAPI_COMPONENT_NAME_NSPR " %d (%s)\n",
             filename, PR_GetError(), slapd_pr_strerror(PR_GetError()) );
         return -1;
     } 
@@ -5004,7 +5004,7 @@ static int commit_good_database(dblayer_private *priv)
         return 0;
     } else
     {
-        LDAPDebug( LDAP_DEBUG_ANY,"Fatal Error---Failed to write guardian file, database corruption possible\n", 0,0, 0 );
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"Fatal Error---Failed to write guardian file, database corruption possible\n", 0,0, 0 );
         (void)PR_Delete(filename);
         return -1;
     }
@@ -5069,7 +5069,7 @@ static int read_metadata(struct ldbminfo *li)
                    so we should check for condition 3.
                    */
                 if (!dbversion_exists(li, home_dir)) {
-                    LDAPDebug( LDAP_DEBUG_ANY,"Fatal Error---database is corrupt. Server can't start. Most likely cause is a previously aborted import. Either re-import or delete the database and re-start the server.\n", 0,0, 0 );
+                    LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,"Fatal Error---database is corrupt. Server can't start. Most likely cause is a previously aborted import. Either re-import or delete the database and re-start the server.\n", 0,0, 0 );
                     return -1;
                 } else {
                     priv->dblayer_recovery_required = 1;
@@ -5122,7 +5122,7 @@ static int read_metadata(struct ldbminfo *li)
     (void)PR_Close(prfd);
     return_value = PR_Delete(filename); /* very important that this happen ! */
     if (PR_SUCCESS != return_value) {
-        LDAPDebug(LDAP_DEBUG_ANY,
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
             "Fatal Error---Failed to delete guardian file, "
             "database corruption possible\n", 0, 0, 0 );
     }
@@ -5145,7 +5145,7 @@ static int dblayer_force_checkpoint(struct ldbminfo *li)
   
   if (priv->dblayer_enable_transactions) {
     
-    LDAPDebug(LDAP_DEBUG_TRACE, "Checkpointing database ...\n", 0, 0, 0);
+    LDAPDebug(LDAP_DEBUG_TRACE, LOG_DEBUG, "Checkpointing database ...\n", 0, 0, 0);
     
     /* 
      * DB workaround. Newly created environments do not know what the
@@ -5161,21 +5161,21 @@ static int dblayer_force_checkpoint(struct ldbminfo *li)
       if (ret != DB_INCOMPLETE)
 #endif
       {
-        LDAPDebug(LDAP_DEBUG_ANY, "Checkpoint FAILED, error %s (%d)\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Checkpoint FAILED, error %s (%d)\n",
                   dblayer_strerror(ret), ret, 0);
         break;
       }
 #if 1000*DB_VERSION_MAJOR + 100*DB_VERSION_MINOR < 4100
       
-      LDAPDebug(LDAP_DEBUG_ANY, "Busy: retrying checkpoint\n", 0, 0, 0);
+      LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Busy: retrying checkpoint\n", 0, 0, 0);
       
       /* teletubbies: "again! again!" */
       ret = dblayer_txn_checkpoint(li, pEnv, PR_TRUE, PR_FALSE, PR_TRUE);
       if (ret == DB_INCOMPLETE) {
-        LDAPDebug(LDAP_DEBUG_ANY, "Busy: giving up on checkpoint\n", 0, 0, 0);
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Busy: giving up on checkpoint\n", 0, 0, 0);
         break;
       } else if (ret != 0) {
-        LDAPDebug(LDAP_DEBUG_ANY, "Checkpoint FAILED, error %s (%d)\n",
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Checkpoint FAILED, error %s (%d)\n",
                   dblayer_strerror(ret), ret, 0);
         break;
       }
@@ -5260,7 +5260,7 @@ static int _dblayer_delete_instance_dir(ldbm_instance *inst, int startdb)
         rval = dblayer_start(li, DBLAYER_NORMAL_MODE|DBLAYER_NO_DBTHREADS_MODE);
         if (rval)
         {
-            LDAPDebug(LDAP_DEBUG_ANY, "_dblayer_delete_instance_dir: dblayer_start failed! %s (%d)\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "_dblayer_delete_instance_dir: dblayer_start failed! %s (%d)\n",
                 dblayer_strerror(rval), rval, 0);
             goto done;
         }
@@ -5286,10 +5286,10 @@ static int _dblayer_delete_instance_dir(ldbm_instance *inst, int startdb)
              goto done;
         }
         if (inst_dirp && *inst_dirp) {
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
               "_dblayer_delete_instance_dir: inst_dir is NULL\n", 0, 0, 0);
         } else {
-            LDAPDebug(LDAP_DEBUG_ANY,
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
               "_dblayer_delete_instance_dir: PR_OpenDir(%s) failed (%d): %s\n", 
               inst_dirp, PR_GetError(),slapd_pr_strerror(PR_GetError()));
         }
@@ -5334,7 +5334,7 @@ static int _dblayer_delete_instance_dir(ldbm_instance *inst, int startdb)
         rval = dblayer_close(li, DBLAYER_NORMAL_MODE);
         if (rval)
         {
-            LDAPDebug(LDAP_DEBUG_ANY, "_dblayer_delete_instance_dir: dblayer_close failed! %s (%d)\n",
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "_dblayer_delete_instance_dir: dblayer_close failed! %s (%d)\n",
                 dblayer_strerror(rval), rval, 0);
         }
     }
@@ -5394,7 +5394,7 @@ dblayer_delete_database_ex(struct ldbminfo *li, char *instance, char *cldir)
         if (inst->inst_be->be_instance_info != NULL) {
 			if ((NULL != instance) && (strcasecmp(inst->inst_name,instance) != 0)) 
 			{
-				LDAPDebug(LDAP_DEBUG_ANY,
+				LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 					"dblayer_delete_database: skipping instance %s\n",inst->inst_name , 0, 0);	
 			} else 
 			{
@@ -5406,7 +5406,7 @@ dblayer_delete_database_ex(struct ldbminfo *li, char *instance, char *cldir)
 				}
 				if (ret != 0)
 				{
-					LDAPDebug(LDAP_DEBUG_ANY,
+					LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 					"dblayer_delete_database: WARNING _dblayer_delete_instance_dir failed (%d)\n", ret, 0, 0);
 					return ret;
 				}	
@@ -5429,7 +5429,7 @@ dblayer_delete_database_ex(struct ldbminfo *li, char *instance, char *cldir)
     dirhandle = PR_OpenDir(priv->dblayer_home_directory);
     if (! dirhandle)
     {
-        LDAPDebug(LDAP_DEBUG_ANY, "PR_OpenDir (%s) failed (%d): %s\n", 
+        LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "PR_OpenDir (%s) failed (%d): %s\n", 
         priv->dblayer_home_directory,
         PR_GetError(),slapd_pr_strerror(PR_GetError()));
         return -1;
@@ -5473,7 +5473,7 @@ dblayer_delete_database_ex(struct ldbminfo *li, char *instance, char *cldir)
 	{
 		ret = dblayer_delete_transaction_logs(log_dir);
 		if(ret) {
-		  LDAPDebug(LDAP_DEBUG_ANY,
+		  LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR,
 		  "dblayer_delete_database: dblayer_delete_transaction_logs failed (%d)\n",
 		  ret, 0, 0);
 		  return -1;
@@ -5685,7 +5685,7 @@ dblayer_copyfile(char *source, char *destination, int overwrite, int mode)
                 break;
             } else {
                 /* means error */
-                LDAPDebug(LDAP_DEBUG_ANY, "dblayer_copyfile: failed to write by \"%s\"; real: %d bytes, exp: %d bytes\n",
+                LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "dblayer_copyfile: failed to write by \"%s\"; real: %d bytes, exp: %d bytes\n",
                           strerror(errno), return_value, bytes_to_write);
                 if (return_value > 0) {
                     bytes_to_write -= return_value;
@@ -5792,7 +5792,7 @@ dblayer_copy_directory(struct ldbminfo *li,
     } else {
         inst = ldbm_instance_find_by_name(li, relative_instance_name);
         if (NULL == inst) {
-            LDAPDebug(LDAP_DEBUG_ANY, "Backend instance \"%s\" does not exist; "
+            LDAPDebug(LDAP_DEBUG_ANY, LOG_ERR, "Backend instance \"%s\" does not exist; "
                       "Instance path %s could be invalid.\n",
                       relative_instance_name, src_dir, 0);
             return return_value;
